Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store
Class RAMOutputStream

    java.lang.Object
      org.apache.lucene.store.OutputStream
          org.apache.lucene.store.RAMOutputStream

public class RAMOutputStream
extends OutputStream

A memory-resident `OutputStream` implementation.

Version:
  $Id: RAMOutputStream.java,v 1.2 2004/03/29 22:48:05 cutting Exp $

Constructor Summary
`RAMOutputStream()` Construct an empty output buffer.

Method Summary
`void` | `close()` Closes this stream to further operations.
`void` | `flushBuffer(byte[] src, int len)` Expert: implements buffer write.
`long` | `length()` The number of bytes in the file.
`void` | `reset()` Resets this to an empty buffer.
`void` | `seek(long pos)` Sets current position in this file, where the next write will occur.
`void` | `writeTo(OutputStream out)` Copy the current contents of this buffer to the named output.

Methods inherited from class org.apache.lucene.store.OutputStream
`flush, getFilePointer, writeByte, writeBytes, writeChars, writeInt, writeLong, writeString, writeVInt, writeVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RAMOutputStream

    public RAMOutputStream()

  Construct an empty output buffer.

Method Detail

### writeTo

    public void writeTo(OutputStream out)
                 throws IOException

  Copy the current contents of this buffer to the named output.

  Throws:
    `IOException`

### reset

    public void reset()

  Resets this to an empty buffer.

### flushBuffer

    public void flushBuffer(byte[] src,
                            int len)

  Description copied from class: `OutputStream`
  Expert: implements buffer write. Writes bytes at the current position in the output.

  Specified by:
    `flushBuffer` in class `OutputStream`
  Parameters:
    `src` - the bytes to write
    `len` - the number of bytes to write

### close

    public void close()
               throws IOException

  Description copied from class: `OutputStream`
  Closes this stream to further operations.

  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

### seek

    public void seek(long pos)
              throws IOException

  Description copied from class: `OutputStream`
  Sets current position in this file, where the next write will occur.

  Overrides:
    `seek` in class `OutputStream`
  Throws:
    `IOException`
  See Also:
    `OutputStream.getFilePointer()`

### length

    public long length()

  Description copied from class: `OutputStream`
  The number of bytes in the file.

  Specified by:
    `length` in class `OutputStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.